Follow

Which browsers are recommended to use with the Frontiers websites?

For better and stable performance of the Frontiers websites, we recommend the use of

a)   Internet Explorer 10 and newer versions (see notes)
b)   Chrome 63.x and newer versions
c)   Firefox 58.x and newer versions
d)   Safari 10.1 and newer versions

Notes:
- There are some Browser extensions / plug-ins that could prevent web pages from being correctly displayed (e.g. AdBlock Plus, NoScript, etc...)
- We are currently addressing incompatibility issues between Internet Explorer and some parts of the site.